## redwood 0.1.4

=== Makefile ===
check_defined = \
    $(foreach 1,$1,$(__check_defined))
__check_defined = \
    $(if $(value $1),, \
      $(error Undefined $1$(if $(value 2), ($(strip $2)))))


OSRAW=$(shell lsb_release -si)
OS=$(shell echo $(OSRAW) | tr A-Z a-z)
ARCH=$(shell uname -m | sed 's/x86_//;s/i[3-6]86/32/')
OSVERRAW=$(shell lsb_release -sr)

ifeq ($(ARCH),64)
        REPOARCH=amd64
endif

ifeq ($(ARCH),32)
        REPOARCH=i386
endif

#ifeq ($(OS),ubuntu)
#  OSVER=$(shell echo $(OSVERRAW) | sed 's/\.//g')
#else
#  OSVER=$(OSVERRAW)
#endif

OSVER=$(OSVERRAW)

all: showvars getbinaries
#	$(call check_defined, SOURCES_VERSION)
#	tar xvf squid-$(SOURCES_VERSION)-$(ARCH)-bin.tar.xz
	echo "ALL FINISHED"

showvars:
	echo "SHOWVARS"
	@echo $(OSRAW)
	@echo $(OS)
	@echo $(ARCH)
	@echo $(OSVERRAW)
	@echo $(OSVER)

getbinaries: showvars
	$(call check_defined, SOURCES_VERSION)
	wget http://moodle.ngtech.co.il/redwood/redwood-$(SOURCES_VERSION).tar.xz \
		-O redwood-$(SOURCES_VERSION).tar.xz
	echo "FINISHED getbinaries"

install:
	$(call check_defined, SOURCES_VERSION)
	$(call check_defined, DESTDIR)
	mkdir -p $(DESTDIR)
	tar xvf redwood-$(SOURCES_VERSION).tar.xz -C $(DESTDIR)/
	mkdir -p $(DESTDIR)/usr/sbin/
ifeq ($(ARCH),64)
	cp $(DESTDIR)/bin/redwood_linux_amd64 $(DESTDIR)/usr/sbin/redwood
endif

ifeq ($(ARCH),32)
 	cp $(DESTDIR)/bin/redwood_linux_386 $(DESTDIR)/usr/sbin/redwood
endif
	rm -rf $(DESTDIR)/bin
	tar xvf redwood-conf-init.tar.xz -C $(DESTDIR)/ 
	chown -R root:root  $(DESTDIR)/ 
	
# The next are only if the data was extracted into the current directory.
#	rsync -av usr -C $(DESTDIR)/
#	rsync -av etc -C $(DESTDIR)/
#	rsync -av var -C $(DESTDIR)/

clean:	
	$(call check_defined, DESTDIR)
	$(call check_defined, SOURCES_VERSION)
	rm $(DESTDIR)/usr/ -rf
	rm $(DESTDIR)/var/ -rf
	rm $(DESTDIR)/etc/ -rf
	rm redwood-$(SOURCES_VERSION).tar.xz -rf
	echo "clean"

distclean:
	rm -rf ./debian/redwood/
	$(MAKE) clean
	echo "distclean"

builddeb:
	$(call check_defined, SOURCES_VERSION)
	cd debian && bash arch.sh reset && bash redwood-version.sh reset 
	cd debian && bash arch.sh && bash redwood-version.sh
	dpkg-buildpackage -us -uc
	cd debian && bash arch.sh reset && bash redwood-version.sh reset
	$(MAKE) distclean

=== debian/changelog ===
redwood (0.1.4) stable; urgency=low

  * A trial to package RedWood WWW Filtering Proxy for Debian\Ubuntu.

 -- Eliezer Croitoru <eliezer@ngtech.co.il>  Tue, 17 May 2016 08:21:29 +0300

=== debian/control ===
Source: redwood
Section: web
Priority: optional
Maintainer: Eliezer Croitoru <eliezer@ngtech.co.il>
Build-Depends: cdbs, debhelper (>=9), dpkg-dev (>= 1.16.1~), dh-systemd, autotools-dev
Standards-Version: 3.9.5
Homepage: http://www.ngtech.co.il/
#Vcs-Git: git://anonscm.debian.org/collab-maint/squid.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/squid.git;a=summary

Package: redwood
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, netbase
Description: RedWood HTTP filtering proxy.

#Package: squid-dbg
#Architecture: any
#Section: debug
#Priority: extra
#Depends: squid (= ${binary:Version}), ${misc:Depends}
#Description: Squid-Cache Proxy - Debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

#DEB_DH_STRIP_ARGS := --dbg-package=squid-dbg


# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_MAKE_CLEAN_TARGET = clean

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#.PHONY: override_dh_strip
#override_dh_strip:
#	dh_strip --dbg-package=squid-dbg

# main packaging script based on dh7 syntax

install::
	install -m 755 -g root -d $(INSTALLDIR)/var/log
	install -m 755 -g root -d $(INSTALLDIR)/var/spool
	install -m 755 -g root -d $(INSTALLDIR)/var/run
#	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 750 -o root -g root -d $(INSTALLDIR)/var/log/redwood
	install -m 750 -o root -g root -d $(INSTALLDIR)/var/redwood
#	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)/etc/logrotate.d/squid
#	chmod 4755 $(INSTALLDIR)/usr/lib/squid/pinger
	dh $@  --with autotools-dev

override_dh_systemd_enable:
	dh_systemd_enable \
		--no-enable
override_dh_systemd_start:
	dh_systemd_start \
		--restart-after-upgrade
%:
	dh $@ --with systemd

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
